Bug 844413 - Creating user fails if role is created with same name
Creating user fails if role is created with same name
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Bryan Kearney
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 10:19 EDT by Justin Sherrill
Modified: 2013-09-19 14:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:14:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2012-07-30 10:19:42 EDT
Description of problem:


Steps to Reproduce:
1.  Create a role named 'content'
2.  Try to create a user named 'content.
3.
  
Actual results:
You get an error "User role 'content' already exists"


Expected results:
Succeeds


Additional info:
Initially I thought it was saying the user already existed, but it was actually because it was trying to create a self role with the same name as the user.  We should randomize the self role name or something similar.
Comment 1 Pavel Pokorny 2012-09-06 01:54:13 EDT
Fixed in 2ca4cf2, removed deprecated validation.
Comment 3 Mike McCune 2013-08-16 14:11:47 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 4 Mike McCune 2013-09-19 14:14:11 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.